﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void WebDropDown1_SelectionChanged(object sender, Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs e)
    {
        string selected = WebDropDown1.SelectedValue.ToString();

        switch (selected)
        { 
        
            case "A":

                WebDropDown2.Items.Clear();
                    WebDropDown2.EnableLoadOnDemand = true;
                    WebDropDown2.EnableViewState = true;
                    WebDropDown2.AutoPostBackFlags.ValueChanged =                        Infragistics.Web.UI.AutoPostBackFlag.On;
                    WebDropDown2.EnableAutoFiltering = Infragistics.Web.UI.ListControls.AutoFiltering.Server;
                    WebDropDown2.AutoSelectOnMatch = true;
                    WebDropDown2.EnablePaging = false;
                    WebDropDown2.AutoFilterResultSize = 100;

                    DataTable dtAutoComplete = MakeTable();
                    WebDropDown2.DataSource = dtAutoComplete;
                    WebDropDown2.ValueField = "id";
                    WebDropDown2.TextField = "A";
                    WebDropDown2.DropDownItemBinding.TextField = "A";
                    WebDropDown2.DropDownItemBinding.ValueField = "id";
                    WebDropDown2.DataBind();

                break;
            case "B":

                  WebDropDown2.Items.Clear();
                    WebDropDown2.EnableLoadOnDemand = true;
                    WebDropDown2.EnableViewState = true;
                    WebDropDown2.AutoPostBackFlags.ValueChanged = Infragistics.Web.UI.AutoPostBackFlag.On;
                    WebDropDown2.EnableAutoFiltering = Infragistics.Web.UI.ListControls.AutoFiltering.Client;
                    WebDropDown2.AutoSelectOnMatch = true;
                    WebDropDown2.EnablePaging = false;
                    WebDropDown2.AutoFilterResultSize = 100;

                    DataTable dtAutoComplete2 = MakeTable();
                    WebDropDown2.DataSource = dtAutoComplete2;
                    WebDropDown2.ValueField = "id";
                    WebDropDown2.TextField = "B";
                    WebDropDown2.DropDownItemBinding.TextField = "B";
                    WebDropDown2.DropDownItemBinding.ValueField = "id";
                    WebDropDown2.DataBind();
                break;
        }
    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "A";
        column.AutoIncrement = false;
        column.Caption = "A";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "B";
        column.AutoIncrement = false;
        column.Caption = "B";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 20; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["A"] = "A" + i%2 + i;
            row["B"] = "B" + i%2 + i;
            table.Rows.Add(row);
        }
        return table;

    }

}